Ticket #15333: libpixman-no-gtk.diff

File libpixman-no-gtk.diff, 7.3 KB (added by nox@…, 16 years ago)
  • files/patch-configure-no-gtk.diff

     
     1--- configure.ac.orig   2008-05-17 03:00:44.000000000 +0200
     2+++ configure.ac        2008-05-17 03:01:11.000000000 +0200
     3@@ -216,7 +216,7 @@
     4 AC_SUBST(MMX_CFLAGS)
     5 AC_SUBST(SSE_CFLAGS)
     6 
     7-PKG_CHECK_MODULES(GTK, [gtk+-2.0], [HAVE_GTK=yes], [HAVE_GTK=no])
     8+HAVE_GTK=no
     9 AM_CONDITIONAL(HAVE_GTK, [test "x$HAVE_GTK" = xyes])
     10 
     11 AC_SUBST(GTK_CFLAGS)
     12--- configure.orig      2008-05-17 03:00:38.000000000 +0200
     13+++ configure   2008-05-17 03:02:58.000000000 +0200
     14@@ -19970,195 +19970,6 @@
     15 
     16 
     17 
     18-if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
     19-       if test -n "$ac_tool_prefix"; then
     20-  # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
     21-set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
     22-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
     23-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
     24-if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     25-  echo $ECHO_N "(cached) $ECHO_C" >&6
     26-else
     27-  case $PKG_CONFIG in
     28-  [\\/]* | ?:[\\/]*)
     29-  ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
     30-  ;;
     31-  *)
     32-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     33-for as_dir in $PATH
     34-do
     35-  IFS=$as_save_IFS
     36-  test -z "$as_dir" && as_dir=.
     37-  for ac_exec_ext in '' $ac_executable_extensions; do
     38-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     39-    ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     40-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     41-    break 2
     42-  fi
     43-done
     44-done
     45-IFS=$as_save_IFS
     46-
     47-  ;;
     48-esac
     49-fi
     50-PKG_CONFIG=$ac_cv_path_PKG_CONFIG
     51-if test -n "$PKG_CONFIG"; then
     52-  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     53-echo "${ECHO_T}$PKG_CONFIG" >&6; }
     54-else
     55-  { echo "$as_me:$LINENO: result: no" >&5
     56-echo "${ECHO_T}no" >&6; }
     57-fi
     58-
     59-
     60-fi
     61-if test -z "$ac_cv_path_PKG_CONFIG"; then
     62-  ac_pt_PKG_CONFIG=$PKG_CONFIG
     63-  # Extract the first word of "pkg-config", so it can be a program name with args.
     64-set dummy pkg-config; ac_word=$2
     65-{ echo "$as_me:$LINENO: checking for $ac_word" >&5
     66-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
     67-if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     68-  echo $ECHO_N "(cached) $ECHO_C" >&6
     69-else
     70-  case $ac_pt_PKG_CONFIG in
     71-  [\\/]* | ?:[\\/]*)
     72-  ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
     73-  ;;
     74-  *)
     75-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     76-for as_dir in $PATH
     77-do
     78-  IFS=$as_save_IFS
     79-  test -z "$as_dir" && as_dir=.
     80-  for ac_exec_ext in '' $ac_executable_extensions; do
     81-  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     82-    ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     83-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     84-    break 2
     85-  fi
     86-done
     87-done
     88-IFS=$as_save_IFS
     89-
     90-  ;;
     91-esac
     92-fi
     93-ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
     94-if test -n "$ac_pt_PKG_CONFIG"; then
     95-  { echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
     96-echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6; }
     97-else
     98-  { echo "$as_me:$LINENO: result: no" >&5
     99-echo "${ECHO_T}no" >&6; }
     100-fi
     101-
     102-  if test "x$ac_pt_PKG_CONFIG" = x; then
     103-    PKG_CONFIG=""
     104-  else
     105-    case $cross_compiling:$ac_tool_warned in
     106-yes:)
     107-{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
     108-whose name does not start with the host triplet.  If you think this
     109-configuration is useful to you, please write to autoconf@gnu.org." >&5
     110-echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
     111-whose name does not start with the host triplet.  If you think this
     112-configuration is useful to you, please write to autoconf@gnu.org." >&2;}
     113-ac_tool_warned=yes ;;
     114-esac
     115-    PKG_CONFIG=$ac_pt_PKG_CONFIG
     116-  fi
     117-else
     118-  PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     119-fi
     120-
     121-fi
     122-if test -n "$PKG_CONFIG"; then
     123-       _pkg_min_version=0.9.0
     124-       { echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
     125-echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6; }
     126-       if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
     127-               { echo "$as_me:$LINENO: result: yes" >&5
     128-echo "${ECHO_T}yes" >&6; }
     129-       else
     130-               { echo "$as_me:$LINENO: result: no" >&5
     131-echo "${ECHO_T}no" >&6; }
     132-               PKG_CONFIG=""
     133-       fi
     134-
     135-fi
     136-
     137-pkg_failed=no
     138-{ echo "$as_me:$LINENO: checking for GTK" >&5
     139-echo $ECHO_N "checking for GTK... $ECHO_C" >&6; }
     140-
     141-if test -n "$PKG_CONFIG"; then
     142-    if test -n "$GTK_CFLAGS"; then
     143-        pkg_cv_GTK_CFLAGS="$GTK_CFLAGS"
     144-    else
     145-        if test -n "$PKG_CONFIG" && \
     146-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gtk+-2.0\"") >&5
     147-  ($PKG_CONFIG --exists --print-errors "gtk+-2.0") 2>&5
     148-  ac_status=$?
     149-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     150-  (exit $ac_status); }; then
     151-  pkg_cv_GTK_CFLAGS=`$PKG_CONFIG --cflags "gtk+-2.0" 2>/dev/null`
     152-else
     153-  pkg_failed=yes
     154-fi
     155-    fi
     156-else
     157-       pkg_failed=untried
     158-fi
     159-if test -n "$PKG_CONFIG"; then
     160-    if test -n "$GTK_LIBS"; then
     161-        pkg_cv_GTK_LIBS="$GTK_LIBS"
     162-    else
     163-        if test -n "$PKG_CONFIG" && \
     164-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"gtk+-2.0\"") >&5
     165-  ($PKG_CONFIG --exists --print-errors "gtk+-2.0") 2>&5
     166-  ac_status=$?
     167-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     168-  (exit $ac_status); }; then
     169-  pkg_cv_GTK_LIBS=`$PKG_CONFIG --libs "gtk+-2.0" 2>/dev/null`
     170-else
     171-  pkg_failed=yes
     172-fi
     173-    fi
     174-else
     175-       pkg_failed=untried
     176-fi
     177-
     178-
     179-
     180-if test $pkg_failed = yes; then
     181-
     182-if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
     183-        _pkg_short_errors_supported=yes
     184-else
     185-        _pkg_short_errors_supported=no
     186-fi
     187-        if test $_pkg_short_errors_supported = yes; then
     188-               GTK_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "gtk+-2.0"`
     189-        else
     190-               GTK_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gtk+-2.0"`
     191-        fi
     192-       # Put the nasty error message in config.log where it belongs
     193-       echo "$GTK_PKG_ERRORS" >&5
     194-
     195-       { echo "$as_me:$LINENO: result: no" >&5
     196-echo "${ECHO_T}no" >&6; }
     197-                HAVE_GTK=no
     198-elif test $pkg_failed = untried; then
     199-       HAVE_GTK=no
     200-else
     201-       GTK_CFLAGS=$pkg_cv_GTK_CFLAGS
     202-       GTK_LIBS=$pkg_cv_GTK_LIBS
     203-        { echo "$as_me:$LINENO: result: yes" >&5
     204-echo "${ECHO_T}yes" >&6; }
     205-       HAVE_GTK=yes
     206-fi
     207  if test "x$HAVE_GTK" = xyes; then
     208   HAVE_GTK_TRUE=
     209   HAVE_GTK_FALSE='#'
  • Portfile

     
    55name                    libpixman
    66set my_name             pixman
    77version                 0.10.0
     8revision                1
    89categories              graphics
    910platforms               darwin
    1011maintainers             ryandesign
     
    2627    sha1 9262e945281877c42d484098de664dcf1a68d857 \
    2728    rmd160 16c356f5fa3dfa4c0196456552daca3ab6244276
    2829
     30patchfiles \
     31    patch-configure-no-gtk.diff
     32
    2933post-destroot {
    3034    set docdir ${destroot}${prefix}/share/doc/${name}-${version}
    3135    xinstall -d ${docdir}